Downloadliste

Sponsored link

Projektbeschreibung

PostgreSQLとPacemakerを組み合わせた高可用ソリューション

Systemanforderungen

Die Systemvoraussetzungen sind nicht definiert

Veröffentlicht: 2019-06-24 14:04
PG-REX10 1.1 (3 files Verstecken)

Versionsanmerkungen

PostgreSQL10ベースの高可用ソリューションである PG-REX10 のバージョン1.1 をリリースします。(README.txt に間違いがあったため修正版をリリース2として出しています)

なお、本バージョンから PG-REX のバージョンポリシーが変更され、バージョン番号は2桁になっています。

  • LSN のパース処理が、下位32ビットが FFFFFF 以下であるID に対してエラーとなる不具合を修正。pg-rex_slave_start と pg-rex_archivefile_deleteに影響があります。
  • pg_control の最終チェックポイントより新しいTLIのWALがある状況ではpg_rex-slave_start の rewind モードでの起動が失敗する問題を修正。フェイルオーバ直後に新スタンバイがクラッシュした後の起動で起きることがありました。
  • pg-rex_slave_start で、履歴ファイルの異常に関するエラーメッセージが間違っていたのを修正。
  • 非スーパーユーザで pg-rex_archivefile_delete を実行した際にロックファイルの作成に失敗する問題を修正。

Änderungsprotokoll

リリース2: README.txt に間違いがあったため修正